Bug 622559 - libata: fix suspend/resume for ATA SEMB devices
libata: fix suspend/resume for ATA SEMB devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: David Milburn
Storage QE
:
Depends On:
Blocks: 677384
  Show dependency treegraph
 
Reported: 2010-08-09 14:19 EDT by David Milburn
Modified: 2011-02-14 10:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:09:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description David Milburn 2010-08-09 14:19:08 EDT
Upstream patch

commit f0d0613dedda4891ecb1977e4d02bf9be93882a3
Author: Borislav Petkov <petkovbb@gmail.com>
Date:   Sun Apr 26 16:33:34 2009 +0200

    libata: fix suspend/resume for ATA SEMB devices

    79b42babbac2a5a522b8e269fb2811b6e1063030 fixed identifying ATA devices
    reporting 3c/c3 signature which belongs to SEMB devices now. However,
    suspending the machine with such device (WDC WD2500AAJS-6 01.0) fails
    with the following:
Comment 2 RHEL Product and Program Management 2010-08-09 15:57:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 David Milburn 2010-08-11 09:19:35 EDT
This is similiar to BZ 533039.
Comment 5 Jarod Wilson 2010-09-03 15:06:54 EDT
in kernel-2.6.18-215.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 7 Gris Ge 2010-12-08 03:02:47 EST
Cannot find this special WDC disk.

Patch found and applied in kernel 2.6.18-233.el5.
Set as sanity only
Comment 9 errata-xmlrpc 2011-01-13 16:09:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.